<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-job-description-heading">Create or edit a Job Description</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_name">Name</label>
                    <input type="text" class="form-control" name="name" id="field_name"
                           formControlName="name"/>
                    <div *ngIf="editForm.get('name')!.invalid && (editForm.get('name')!.dirty || editForm.get('name')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('name')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_teamId">Team Id</label>
                    <input type="text" class="form-control" name="teamId" id="field_teamId"
                           formControlName="teamId"/>
                    <div *ngIf="editForm.get('teamId')!.invalid && (editForm.get('teamId')!.dirty || editForm.get('teamId')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('teamId')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_teamName">Team Name</label>
                    <input type="text" class="form-control" name="teamName" id="field_teamName"
                           formControlName="teamName"/>
                    <div *ngIf="editForm.get('teamName')!.invalid && (editForm.get('teamName')!.dirty || editForm.get('teamName')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('teamName')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_jobTitle">Job Title</label>
                    <input type="text" class="form-control" name="jobTitle" id="field_jobTitle"
                           formControlName="jobTitle"/>
                    <div *ngIf="editForm.get('jobTitle')!.invalid && (editForm.get('jobTitle')!.dirty || editForm.get('jobTitle')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('jobTitle')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_lineOfWork">Line Of Work</label>
                    <input type="text" class="form-control" name="lineOfWork" id="field_lineOfWork"
                           formControlName="lineOfWork"/>
                    <div *ngIf="editForm.get('lineOfWork')!.invalid && (editForm.get('lineOfWork')!.dirty || editForm.get('lineOfWork')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('lineOfWork')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_department">Department</label>
                    <input type="text" class="form-control" name="department" id="field_department"
                           formControlName="department"/>
                    <div *ngIf="editForm.get('department')!.invalid && (editForm.get('department')!.dirty || editForm.get('department')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('department')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_educationBackground">Education Background</label>
                    <input type="text" class="form-control" name="educationBackground" id="field_educationBackground"
                           formControlName="educationBackground"/>
                    <div *ngIf="editForm.get('educationBackground')!.invalid && (editForm.get('educationBackground')!.dirty || editForm.get('educationBackground')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('educationBackground')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_salary">Salary</label>
                    <input type="number" class="form-control" name="salary" id="field_salary"
                           formControlName="salary"/>
                    <div *ngIf="editForm.get('salary')!.invalid && (editForm.get('salary')!.dirty || editForm.get('salary')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('salary')?.errors?.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.get('salary')?.errors?.number">
                            This field should be a number.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_location">Location</label>
                    <input type="text" class="form-control" name="location" id="field_location"
                           formControlName="location"/>
                    <div *ngIf="editForm.get('location')!.invalid && (editForm.get('location')!.dirty || editForm.get('location')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('location')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_summary">Summary</label>
                    <input type="text" class="form-control" name="summary" id="field_summary"
                           formControlName="summary"/>
                    <div *ngIf="editForm.get('summary')!.invalid && (editForm.get('summary')!.dirty || editForm.get('summary')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('summary')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_mainResponsibilities">Main Responsibilities</label>
                    <input type="text" class="form-control" name="mainResponsibilities" id="field_mainResponsibilities"
                           formControlName="mainResponsibilities"/>
                    <div *ngIf="editForm.get('mainResponsibilities')!.invalid && (editForm.get('mainResponsibilities')!.dirty || editForm.get('mainResponsibilities')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('mainResponsibilities')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_jobDescription">Job Description</label>
                    <input type="text" class="form-control" name="jobDescription" id="field_jobDescription"
                           formControlName="jobDescription"/>
                    <div *ngIf="editForm.get('jobDescription')!.invalid && (editForm.get('jobDescription')!.dirty || editForm.get('jobDescription')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('jobDescription')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_jobQualifications">Job Qualifications</label>
                    <input type="text" class="form-control" name="jobQualifications" id="field_jobQualifications"
                           formControlName="jobQualifications"/>
                    <div *ngIf="editForm.get('jobQualifications')!.invalid && (editForm.get('jobQualifications')!.dirty || editForm.get('jobQualifications')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('jobQualifications')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_profilePhoto">Profile Photo</label>
                    <input type="checkbox" class="form-control" name="profilePhoto" id="field_profilePhoto"
                           formControlName="profilePhoto"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_militaryPass">Military Pass</label>
                    <input type="checkbox" class="form-control" name="militaryPass" id="field_militaryPass"
                           formControlName="militaryPass"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_enLanguageScore">En Language Score</label>
                    <input type="checkbox" class="form-control" name="enLanguageScore" id="field_enLanguageScore"
                           formControlName="enLanguageScore"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_educationCertificate">Education Certificate</label>
                    <input type="checkbox" class="form-control" name="educationCertificate" id="field_educationCertificate"
                           formControlName="educationCertificate"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_driverLicense">Driver License</label>
                    <input type="checkbox" class="form-control" name="driverLicense" id="field_driverLicense"
                           formControlName="driverLicense"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_chLanguageScore">Ch Language Score</label>
                    <input type="checkbox" class="form-control" name="chLanguageScore" id="field_chLanguageScore"
                           formControlName="chLanguageScore"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_educationQualification">Education Qualification</label>
                    <input type="checkbox" class="form-control" name="educationQualification" id="field_educationQualification"
                           formControlName="educationQualification"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_citizenID">Citizen ID</label>
                    <input type="checkbox" class="form-control" name="citizenID" id="field_citizenID"
                           formControlName="citizenID"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_jpLanguageScore">Jp Language Score</label>
                    <input type="checkbox" class="form-control" name="jpLanguageScore" id="field_jpLanguageScore"
                           formControlName="jpLanguageScore"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_workPermit">Work Permit</label>
                    <input type="checkbox" class="form-control" name="workPermit" id="field_workPermit"
                           formControlName="workPermit"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_marriageCertificate">Marriage Certificate</label>
                    <input type="checkbox" class="form-control" name="marriageCertificate" id="field_marriageCertificate"
                           formControlName="marriageCertificate"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_houseRegistry">House Registry</label>
                    <input type="checkbox" class="form-control" name="houseRegistry" id="field_houseRegistry"
                           formControlName="houseRegistry"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_birthCertificate">Birth Certificate</label>
                    <input type="checkbox" class="form-control" name="birthCertificate" id="field_birthCertificate"
                           formControlName="birthCertificate"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_remark">Remark</label>
                    <input type="text" class="form-control" name="remark" id="field_remark"
                           formControlName="remark"/>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
